HomeiGuidance


Can old version of iGuidance work with maps from new version of iGuidance?
d111
Hi,

Anyone here know if it is possible to install the maps from the latest version (like 2009 and 2010) to use with iGuidance V3?

Thanks
Marvin Hlavac
Others tried it, but there was no way to do it right. I tested it, too, with past versions, but it didn't work.
laptopgpsworld.com About